# Description

A plugin that provides a simple and easy to use integration pattern
between [Composable Prompts](https://composableprompts.com/) and the Nuxeo Platform.

# How to build

```bash
git clone https://github.com/nuxeo-sandbox/nuxeo-composable-prompts
cd nuxeo-composable-prompts
mvn clean install
```

In order to run the integration tests, several parameters must be passed:

```bash
mvn clean install -DcomposablePromptsApiToken=<API_TOKEN> -DcomposablePromptsProjectId=<PROJECT_ID> -DcomposablePromptsInteractionId=<INTERACTION_ID> -DcomposablePromptsEnvironmentId=<ENVIRONMENT_ID>
```

# Features

## Automation API

The integration between the Nuxeo Platform and Composable prompts is meant to be as versatile as possible. Thus the
recommended way is to use Nuxeo's automation framework.

### Run Execution

The operation to execute a Composable Prompts interaction is `ComposablePrompts.Run`

Parameters:

| Name             | Description                                    | Type   | Required | Default value |
|:-----------------|:-----------------------------------------------|:-------|:---------|:--------------|
| interactionId    | The Vntana destination organization            | string | true     |               |
| environmentId    | The client destination within the organization | string | true     |               |
| modelId          | Save the document                              | string | true     |               |
| interactionInput | The interaction JSON input                     | string | true     |               |

Output: A string Blob containing the Composable Prompt REST API JSON response

Example:

```javascript

```

# Support

**These features are not part of the Nuxeo Production platform.**

These solutions are provided for inspiration and we encourage customers to use them as code samples and learning
resources.

This is a moving project (no API maintenance, no deprecation process, etc.) If any of these solutions are found to be
useful for the Nuxeo Platform in general, they will be integrated directly into platform, not maintained here.

# Nuxeo Marketplace

This plugin is published on
the [marketplace](https://connect.nuxeo.com/nuxeo/site/marketplace/package/nuxeo-vntana-connector)

# License

[Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0.html)

# About Nuxeo

Nuxeo Platform is an open source Content Services platform, written in Java. Data can be stored in both SQL & NoSQL
databases.

The development of the Nuxeo Platform is mostly done by Nuxeo employees with an open development model.

The source code, documentation, roadmap, issue tracker, testing, benchmarks are all public.

Typically, Nuxeo users build different types of information management solutions
for [document management](https://www.nuxeo.com/solutions/document-management/), [case management](https://www.nuxeo.com/solutions/case-management/),
and [digital asset management](https://www.nuxeo.com/solutions/dam-digital-asset-management/), use cases. It uses
schema-flexible metadata & content models that allows content to be repurposed to fulfill future use cases.

More information is available at [www.nuxeo.com](https://www.nuxeo.com).